Arvados - Bug #16735

Require password login check throws error that variable is undefined
08/20/2020 03:36 PM - Daniel Kutyta

Status: Resolved Start date: 08/21/2020
Priority: Normal Due date:

Assigned To: Daniel Kutyta % Done: 100%
Category: Workbench2 Estimated time: 0.00 hour
Target version: 2020-08-26 Sprint

Description

requirePasswordLogin function need better nulljlundefined checks in order to aviod null pointer errors

Subtasks:
Task # 16737: Review 16735-Require-password-login Resolved

Associated revisions

Revision a708e219 - 08/24/2020 02:55 PM - Daniel Kutyta

Merge branch '16735-Require-password-login’
Closes #16735

Arvados-DCO-1.1-Signed-off-by: Daniel Kutyta <daniel.kutyla@contractors.roche.com>

History

#1 - 08/20/2020 03:38 PM - Daniel Kutyta

- Status changed from New to In Progress

#2 - 08/21/2020 01:00 PM - Daniel Kutyta

New version: https://dev.arvados.org/projects/arvados/repository/arvados-workbench2/revisions/f0fb75714e54{5191a7026eedbec757ee22a682c
Test run: https://ci.arvados.org/view/Developer/job/developer-tests-workbench2/76/

Added copy of full token, made tests more realistic

#3 - 08/21/2020 01:37 PM - Lucas Di Pentima
Reviewing arvados-workbench2|f0fb757 - branch 16735-Require-password-login

e Great idea to test the function!

¢ Instead of adding more checks, one for every Login type, how about having an array of login type names and iterate over it to check if at least
one of those exist and has an "Enabled: true” member instead of requiring that all login type to exist on all the clusters that wb2 has a session?
This alternative approach would make easier to add more login types (for example, Tom is adding a “Test” login type atm) and also allow wb2 to
talk with older cluster versions at the same time.

#4 - 08/21/2020 03:46 PM - Daniel Kutyta

New version: https://dev.arvados.org/projects/arvados/repository/arvados-workbench?2/revisions/a2a35bb1683304edd8d20e1a2b5df29e81669b46
Test run: https://ci.arvados.org/view/Developer/job/developer-tests-workbench2/77/

Added array with possible login options

#5 - 08/21/2020 03:54 PM - Lucas Di Pentima

Great, thanks! How about adjusting the tests so that validates the new behaviour?

Having a list of Login types and confirming that the func returns true if any of those is enabled. That way we could easily expand the test cases when
new login types are added.

We could also check that having a login type not listed doesn't make the func return true.

#6 - 08/24/2020 01:55 PM - Daniel Kutyta

New version: https://dev.arvados.org/projects/arvados/repository/arvados-workbench2/revisions/86df4771fd4ce9e88bd349f738d5833d5cd70c51
Test run: https://ci.arvados.org/view/Developer/job/developer-tests-workbench2/78/

Added array with possible login options

#7 - 08/24/2020 02:51 PM - Lucas Di Pentima
LGTM, thanks!

#8 - 08/24/2020 03:23 PM - Daniel Kutyta
- % Done changed from 0 to 100

- Status changed from In Progress to Resolved

Applied in changeset arvados-workbench2|a708e219cff64023d066dcecabbbd0ab2bd70425.

#9 - 10/07/2020 02:47 AM - Peter Amstutz

- Release set to 25
